Get a workspace by ID.
curl --request GET \
--url https://api.rigbox.dev/api/v1/workspaces/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.rigbox.dev/api/v1/workspaces/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.rigbox.dev/api/v1/workspaces/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"vm": {
"created_at": "2023-11-07T05:31:56Z",
"disk_size_mb": 1,
"id": "<string>",
"image": "<string>",
"name": "<string>",
"node_id": "<string>",
"ram_mb": 1,
"updated_at": "2023-11-07T05:31:56Z",
"user_id": "<string>",
"vcpu_count": 1,
"ai_mode": "<string>",
"cloned_from": "<string>",
"creation_attempts": 123,
"creation_started_at": "2023-11-07T05:31:56Z",
"env_vars": {},
"failure_code": "<string>",
"failure_reason": "<string>",
"image_digest": "<string>",
"ip_address": "<string>",
"service_spec_ids": [
"<string>"
],
"setup_script_ids": [
"<string>"
],
"template_id": "<string>"
},
"failure": {
"attempts": 123,
"code": "<string>",
"message": "<string>",
"occurred_at": "2023-11-07T05:31:56Z",
"retryable": true
}
}Workspaces
Get Workspace
Fetch details for a single workspace including status, resources, and metadata.
GET
/
api
/
v1
/
workspaces
/
{id}
Get a workspace by ID.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Workspace ID
Response
200 - application/json
Workspace
⌘I